Loading...
Searching...
No Matches
PointReplicate.h File Reference

Algorithms to duplicate points in PointDataGrids. More...

`#include <openvdb/points/PointDataGrid.h>`
`#include <openvdb/tools/Prune.h>`
`#include "impl/PointReplicateImpl.h"`

Go to the source code of this file.

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::points

## Functions

template<typename PointDataGridT>
PointDataGridT::Ptr | replicate (const PointDataGridT &source, const Index multiplier, const std::vector< std::string > &attributes, const std::string &scaleAttribute="", const std::string &replicationIndex="")
| Replicates points provided in a source grid into a new grid, transfering and creating attributes found in a provided attribute vector. If an attribute doesn't exist, it is ignored. Position is always replicated, leaving the new points exactly over the top of the source points.
template<typename PointDataGridT>
PointDataGridT::Ptr | replicate (const PointDataGridT &source, const Index multiplier, const std::string &scaleAttribute="", const std::string &replicationIndex="")
| Replicates points provided in a source grid into a new grid, transfering and creating all attributes from the source grid. Position is always replicated, leaving the new points exactly over the top of the source points.

## Detailed Description

Algorithms to duplicate points in PointDataGrids.

Author
  Nick Avramoussis